#
# spec file for package ldns (Version 1.6.15)
#

# norootforbuild


Name:           ldns
Summary:        ldns is a library to simplify DNS programming
Group:          Development/Libraries/C and C++
License:        BSD 3-Clause
Version:        1.6.15
Release:        3.1
Url:            http://www.nlnetlabs.nl/projects/ldns/
Source:         http://www.nlnetlabs.nl/downloads/ldns/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  openssl-devel

%description
The goal of ldns is to simplify DNS programming, it supports recent
RFCs like the DNSSEC documents, and allows developers to easily create
software conforming to current RFCs, and experimental software for
current Internet Drafts. A secondary benefit of using ldns is speed;
ldns is written in C it should be a lot faster than Perl.



Authors:
--------
    NLnet Labs

%package -n     libldns1
License:        BSD 3-Clause
Summary:        ldns is a library to simplify DNS programming
Group:          Development/Libraries/C and C++

%description -n libldns1
The goal of ldns is to simplify DNS programming, it supports recent
RFCs like the DNSSEC documents, and allows developers to easily create
software conforming to current RFCs, and experimental software for
current Internet Drafts. A secondary benefit of using ldns is speed;
ldns is written in C it should be a lot faster than Perl.



Authors:
--------
    NLnet Labs

%package -n		libldns-devel
License:        BSD 3-Clause
Summary:        ldns is a library to simplify DNS programming
Group:          Development/Libraries/C and C++
Requires:       libldns1 = %{version} openssl-devel

%description -n libldns-devel
The goal of ldns is to simplify DNS programming, it supports recent
RFCs like the DNSSEC documents, and allows developers to easily create
software conforming to current RFCs, and experimental software for
current Internet Drafts. A secondary benefit of using ldns is speed;
ldns is written in C it should be a lot faster than Perl.



Authors:
--------
    NLnet Labs

%prep
%setup -q

%build
%configure --disable-static --with-pic
%{__make} %{?jobs:-j%jobs}

%install
%makeinstall
%{__rm} -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libldns1 -p /sbin/ldconfig

%postun -n libldns1 -p /sbin/ldconfig

%files -n libldns1
%defattr(-,root,root)
%{_libdir}/libldns.so.1*

%files -n libldns-devel
%defattr(-,root,root)
%dir %{_includedir}/ldns
%{_includedir}/ldns/*
%{_libdir}/*.so
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_bindir}/ldns-config

%changelog
* Mon May 10 2010 lele@windmill.it
- upgraded to 1.6.4 release
* Mon Apr 27 2009 crrodriguez@suse.de
- initial version, required by unbound
